﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class InquiryTableMapper
{
    public static InquiryTable FromDTOToModel(this InquiryTableDTO inqTDto)
    {
        return new InquiryTable(inqTDto.OwnerId, inqTDto.ConnectionInfo, inqTDto.DatabaseName);
    }

    public static InquiryTable FromEntityToModel(this InquiryTableEntity inqTEntity)
    {
        return new InquiryTable(inqTEntity.OwnerId, inqTEntity.ConnectionInfo, inqTEntity.DatabaseName);
    }

    public static InquiryTableDTO FromModelToDTO(this InquiryTable inqT)
    {
        return new InquiryTableDTO(inqT.OwnerId, inqT.DatabaseName, inqT.ConnectionInfo);
    }

    public static InquiryTableDTO FromEntityToDTO(this InquiryTableEntity inqTEntity)
    {
        return new InquiryTableDTO(inqTEntity.OwnerId, inqTEntity.DatabaseName, inqTEntity.ConnectionInfo);
    }

    public static InquiryTableEntity FromModelToEntity(this InquiryTable inqT)
    {
        return new InquiryTableEntity(inqT.OwnerId, inqT.DatabaseName, inqT.ConnectionInfo);
    }

    public static InquiryTableEntity FromDTOToEntity(this InquiryTableDTO dto)
    {
        return new InquiryTableEntity(dto.OwnerId, dto.DatabaseName, dto.ConnectionInfo);
    }
}