﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class ParagraphMapper
{
    public static Paragraph FromDTOToModel(this ParagraphDTO dto)
    {
        return new Paragraph(dto.ContentTitle, dto.ContentContent, dto.Info, dto.Query, dto.Comment);
    }

    public static Paragraph FromEntityToModel(this ParagraphEntity model)
    {
        return new Paragraph(model.ContentTitle, model.ContentContent, model.Info, model.Query, model.Comment);
    }

    public static ParagraphDTO FromEntityToDto(this ParagraphEntity model)
    {
        return new ParagraphDTO(model.Id, model.ContentTitle, model.ContentContent, model.Info, model.Query,
            model.Comment, model.LessonId);
    }

    public static ParagraphDTO FromModelToDTO(this Paragraph model)
    {
        return new ParagraphDTO(model.Id, model.ContentTitle, model.ContentContent, model.Info, model.Query,
            model.Comment, model.LessonId);
    }

    public static ParagraphEntity FromDtoToEntity(this ParagraphDTO dto)
    {
        return new ParagraphEntity
        {
            Id = dto.Id,
            ContentTitle = dto.ContentTitle,
            ContentContent = dto.ContentContent,
            Info = dto.Info,
            Query = dto.Query,
            Comment = dto.Comment,
            LessonId = dto.LessonId
        };
    }

    public static ParagraphEntity FromModelToEntity(this Paragraph model)
    {
        return new ParagraphEntity
        {
            Id = model.Id,
            ContentTitle = model.ContentTitle,
            ContentContent = model.ContentContent,
            Info = model.Info,
            Query = model.Query,
            Comment = model.Comment, LessonId = model.LessonId
        };
    }
}