using Dto;

namespace TestEF.Dto;

public class TestLessonDTO
{
    private const int _id = 42;
    private const string _title = "Title";
    private const string _lastPublisher = "Last Publisher";
    private static DateOnly _lastEdit = new DateOnly();

    [Fact]
    public void TestDefaultConstructor()
    {
        LessonDTO lesson = new LessonDTO();
        Assert.Equal(0, lesson.Id);
        Assert.Null(lesson.Title);
        Assert.Null(lesson.LastPublisher);
        Assert.Null(lesson.LastEdit);
    }
    
    [Fact]
    public void TestConstructorWithoutId()
    {
        LessonDTO lesson = new LessonDTO(_title,_lastPublisher,_lastEdit);
        Assert.Equal(0, lesson.Id);
        Assert.Equal(_title,lesson.Title);
        Assert.Equal(_lastPublisher,lesson.LastPublisher);
        Assert.Equal(_lastEdit,lesson.LastEdit);
    }
    
    [Fact]
    public void TestConstructorWithAllAttributes()
    {
        LessonDTO lesson = new LessonDTO(_id,_title,_lastPublisher,_lastEdit);
        Assert.Equal(_id, lesson.Id);
        Assert.Equal(_title,lesson.Title);
        Assert.Equal(_lastPublisher,lesson.LastPublisher);
        Assert.Equal(_lastEdit,lesson.LastEdit);
    }
}