using Dto;

namespace TestEF.Dto;

public class TestParagraphDTO
{
    private const int _id = 42;
    private const string _title = "Title";
    private const string _info = "Info";
    private const string _content = "Content";
    private const string _query = "Query";
    private const string _comment = "Comment";

    [Fact]
    public void TestDefaultConstructor()
    {
        ParagraphDTO paragraph = new ParagraphDTO();
        Assert.Equal(0, paragraph.Id);
        Assert.Null(paragraph.Title);
        Assert.Null(paragraph.Info);
        Assert.Null(paragraph.Content);
        Assert.Null(paragraph.Query);
        Assert.Null(paragraph.Comment);
    }
    
    [Fact]
    public void TestConstructorWithoutId()
    {
        ParagraphDTO paragraph = new ParagraphDTO(_title,_content,_info,_query,_comment, 10);
        Assert.Equal(0, paragraph.Id);
        Assert.Equal(_title,paragraph.Title);
        Assert.Equal(_info,paragraph.Info);
        Assert.Equal(_content,paragraph.Content);
        Assert.Equal(_query,paragraph.Query);
        Assert.Equal(_comment,paragraph.Comment);
    }
    
    [Fact]
    public void TestConstructorWithAllAttributes()
    {
        ParagraphDTO paragraph = new ParagraphDTO(_id,_title,_content,_info,_query,_comment,10);
        Assert.Equal(_id, paragraph.Id);
        Assert.Equal(_title,paragraph.Title);
        Assert.Equal(_info,paragraph.Info);
        Assert.Equal(_content,paragraph.Content);
        Assert.Equal(_query,paragraph.Query);
        Assert.Equal(_comment,paragraph.Comment);
        Assert.Equal(10, paragraph.LessonId);
    }
}