using Entities;

namespace TestEF.EntitiesTests;

public class TestInquiryEntity
{
    private const int _id = 42;
    private const string _title = "Title";
    private const string _description = "_description";
    private const bool _isUser = true;

    [Fact]
    public void TestDefaultConstructor()
    {
        InquiryEntity inquiry = new InquiryEntity();
        Assert.Equal(0, inquiry.Id);
        Assert.Null(inquiry.Title);
        Assert.Null(inquiry.Description);
        Assert.False(inquiry.IsUser);
    }
    
    [Fact]
    public void TestConstructorWithOnlyId()
    {
        InquiryEntity inquiry = new InquiryEntity(_id);
        Assert.Equal(_id, inquiry.Id);
        Assert.Null(inquiry.Title);
        Assert.Null(inquiry.Description);
        Assert.False(inquiry.IsUser);
    }
    
    [Fact]
    public void TestConstructorWithoutId()
    {
        InquiryEntity inquiry = new InquiryEntity(_title,_description,_isUser);
        Assert.Equal(0, inquiry.Id);
        Assert.Equal(_title,inquiry.Title);
        Assert.Equal(_description,inquiry.Description);
        Assert.True(inquiry.IsUser);
    }
    
    [Fact]
    public void TestConstructorWithAllAttributes()
    {
        InquiryEntity inquiry = new InquiryEntity(_id,_title,_description,_isUser);
        Assert.Equal(_id, inquiry.Id);
        Assert.Equal(_title,inquiry.Title);
        Assert.Equal(_description,inquiry.Description);
        Assert.True(inquiry.IsUser);
    }
}